Bug 178179 - CVE-2006-0254 tomcat examples XSS
CVE-2006-0254 tomcat examples XSS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rafael H. Schloming
reported=20050117,source=cve,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 05:50 EST by Mark J. Cox (Product Security)
Modified: 2014-12-01 18:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 11:27:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-01-18 05:50:05 EST
+++ This bug was initially created as a clone of Bug #178175 +++

A new cross-site scripting flaw has been reported in the tomcat jsp examples as
shipped in tomcat5-webapps in Red Hat Application Server.  See

http://issues.apache.org/jira/browse/GERONIMO-1474

This is fixed in upstream svn.

Marking this as moderate severity as users should not be putting examples into
production environments.  I've held off marking it low as the examples ought to
show good practices and our users may copy the bad behaviour.

Note also these issues
http://issues.apache.org/bugzilla/show_bug.cgi?id=32953

Note: We've not looked which of these issues actually affect the tomcat5-webapps
package.
Comment 1 Mark J. Cox (Product Security) 2006-01-31 03:15:22 EST
ping!  if fixed in rawhide please close this bug, otherwise please try to fix
this before FC5Test3 (Feb 6)
Comment 2 Mark J. Cox (Product Security) 2006-02-06 04:21:18 EST
ping!  if fixed in rawhide please close this bug, otherwise please try to fix
this before FC5Test3 (Feb 13)

Note You need to log in before you can comment on or make changes to this bug.